Debian Bug report logs - #690978
debian-installer: d-i unable to find disk storage on Hyper-V

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Arnaud Patard <apatard@hupstream.com>

Date: Fri, 19 Oct 2012 18:54:04 UTC

Severity: normal

Fixed in version debian-installer/20121114

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690978; Package debian-installer. (Fri, 19 Oct 2012 18:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard <apatard@hupstream.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Oct 2012 18:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arnaud Patard <apatard@hupstream.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: d-i unable to find disk storage on Hyper-V
Date: Fri, 19 Oct 2012 20:35:01 +0200
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: normal

Hi,

When trying to install testing on a Hyper-V VM through CD, the installer
is not able to find the hard drive because the Hyper-V drivers are not 
availables. It was previously possible with ata_piix but it has been
disabled because hyperv drivers are more efficient.

An installation has succeeded with the attached patch and a d-i monolithic
iso. I've added the drivers to netboot but it has not been tested.

Thanks,

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-Add-Hyper-V-modules-to-netboot-and-cdrom.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690978; Package debian-installer. (Fri, 19 Oct 2012 19:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Oct 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 690978@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: 690978@bugs.debian.org
Subject: Re: debian-installer: d-i unable to find disk storage on Hyper-V
Date: Fri, 19 Oct 2012 21:24:20 +0200
There is another bug report open for that with a workaround for the 
ata_piix change, but it then fails accessing the network card

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684283

Do you have an image with your patch which I could briefly test? Or 
could you verify operation with the Hyper-V NIC as well?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690978; Package debian-installer. (Mon, 22 Oct 2012 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard <apatard@hupstream.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Oct 2012 15:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 690978@bugs.debian.org (full text, mbox):

From: Arnaud Patard <apatard@hupstream.com>
To: 690978@bugs.debian.org
Cc: Bernhard Schmidt <berni@birkenwald.de>
Subject: Bug#690978: debian-installer: d-i unable to find disk storage on Hyper-V
Date: Mon, 22 Oct 2012 16:59:44 +0200
Hi,

> There is another bug report open for that with a workaround for the 
> ata_piix change, but it then fails accessing the network card
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684283

hm. Stupid question: Why would you use a workaround on command line
while we have a udeb containing the right module, which means that one
can install in Hyper-V out of the box ?

> Do you have an image with your patch which I could briefly test? Or 

I've used the iso uploaded here:
http://www.hupstream.com/~rtp/azure/monolithic/

> could you verify operation with the Hyper-V NIC as well?

I've used the monolithic iso I mentionned so it had to download debs to
install debian. I guess this means it's working.

Arnaud



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690978; Package debian-installer. (Mon, 22 Oct 2012 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Oct 2012 17:45:05 GMT) Full text and rfc822 format available.

Message #20 received at 690978@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: Arnaud Patard <apatard@hupstream.com>
Cc: 690978@bugs.debian.org, 684283@bugs.debian.org
Subject: Re: Bug#690978: debian-installer: d-i unable to find disk storage on Hyper-V
Date: Mon, 22 Oct 2012 19:40:35 +0200
On 22.10.2012 16:59, Arnaud Patard wrote:
> Hi,
>
>> There is another bug report open for that with a workaround for the
>> ata_piix change, but it then fails accessing the network card
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684283
>
> hm. Stupid question: Why would you use a workaround on command line
> while we have a udeb containing the right module, which means that one
> can install in Hyper-V out of the box ?

Not so stupid question, quite honestly I had no idea how to include a 
udeb that is not shipped by default into a CD (I now found 
http://wiki.debian.org/DebianInstaller/Modify/CD). And the workaround 
for ata_piix is harmless since it only applies for d-i step, while 
getting a usable network card without drivers requires using the legacy 
card and changing it later, potentially changing MAC addresses as well.

>> Do you have an image with your patch which I could briefly test? Or
>
> I've used the iso uploaded here:
> http://www.hupstream.com/~rtp/azure/monolithic/
>
>> could you verify operation with the Hyper-V NIC as well?
>
> I've used the monolithic iso I mentionned so it had to download debs to
> install debian. I guess this means it's working.

Thanks. I'll try it in the next days.

Bernhard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#690978; Package debian-installer. (Fri, 02 Nov 2012 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 02 Nov 2012 10:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 690978@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Arnaud Patard <apatard@hupstream.com>, 690978@bugs.debian.org
Subject: Re: Bug#690978: debian-installer: d-i unable to find disk storage on Hyper-V
Date: Fri, 2 Nov 2012 11:54:25 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

Arnaud Patard <apatard@hupstream.com> (19/10/2012):
> Package: debian-installer
> Severity: normal
> 
> Hi,
> 
> When trying to install testing on a Hyper-V VM through CD, the
> installer is not able to find the hard drive because the Hyper-V
> drivers are not availables. It was previously possible with ata_piix
> but it has been disabled because hyperv drivers are more efficient.
> 
> An installation has succeeded with the attached patch and a d-i
> monolithic iso. I've added the drivers to netboot but it has not
> been tested.

Thanks, I've just applied your patch, it should be part of beta 4.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to 690978-submit@bugs.debian.org. (Fri, 02 Nov 2012 10:57:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 16:36:03 GMT) Full text and rfc822 format available.

Notification sent to Arnaud Patard <apatard@hupstream.com>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #32 received at 690978-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 690978-close@bugs.debian.org
Subject: Bug#690978: fixed in debian-installer 20121114
Date: Wed, 14 Nov 2012 16:32:45 +0000
Source: debian-installer
Source-Version: 20121114

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Nov 2012 14:56:37 +0100
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20121114
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 690978
Changes: 
 debian-installer (20121114) unstable; urgency=low
 .
   [ Philipp Kern ]
   * Update to 3.2.0-4 linux ABI.
 .
   [ Samuel Thibault ]
   * Reduce "1GiB key" images to just below 1GB.
 .
   [ Cyril Brulebois ]
   * Apply patch from Arnaud Patard to include Hyper-V linux kernel udebs
     on cdrom and netboot images for am64 and i386 (Closes: #690978). This
     is needed after a kernel change on the ata_piix side (cd006086fa in
     mainline).
Checksums-Sha1: 
 2f79ad96dbaf458e3e8752937a4895dacd0bf0a4 2579 debian-installer_20121114.dsc
 122b796df5846cee5fb674249af4dc4f7c21aa11 1348915 debian-installer_20121114.tar.gz
 4918c8b494e7c1a960d57e6f2a3331d4c14df54b 832504 debian-installer_20121114_amd64.deb
 0d42d98f562db4b7ff657e2a569a8cb8117a6021 236467441 debian-installer-images_20121114_amd64.tar.gz
Checksums-Sha256: 
 774461dd7c6f136ab37d3faefca1960acc2860533319e930d5bc28666dda1a94 2579 debian-installer_20121114.dsc
 b233075c69eb6b36e0883691b9ccbe5a111d75467a2b0c96a3c4b353831853a5 1348915 debian-installer_20121114.tar.gz
 bec0a21b67df3d1d9c5ebd0b60dfa5c7c13dc03e8ae55b6eeacadceb214b5f2f 832504 debian-installer_20121114_amd64.deb
 8cfa7c3ddbc49502fb2abac2c5bf08e6bcebbba1d4b4c1cf3c6ebf080c430493 236467441 debian-installer-images_20121114_amd64.tar.gz
Files: 
 22a3a91880081e9b701d370ebaf3980b 2579 devel optional debian-installer_20121114.dsc
 b28a8695f947e957da7c1a2f0f97f30d 1348915 devel optional debian-installer_20121114.tar.gz
 021be483f000adc101a7268e9f3a4e64 832504 devel optional debian-installer_20121114_amd64.deb
 93ac7703a05f7b760f44085f3f115de4 236467441 raw-installer - debian-installer-images_20121114_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCjuDkACgkQeGfVPHR5Nd1L7gCdE5IPnDHy5IB24aDP+EzTbvjc
sFoAn0lsr1EcE4XCLhN+6uoY9HO7qWeS
=5FGM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Dec 2012 07:29:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:00:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.